# $Revision: 1.20 $, $Date: 2008-01-03 12:49:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	REPartition
Summary:	String::REPartition - generates a regex to partition a data set
Summary(pl.UTF-8):	String::REPartition - generowanie wyrażenia regularnego do podziału zbioru danych
Name:		perl-String-REPartition
Version:	1.6
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/AVIF/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	11b32cffa1b03fc825b467261fa6b883
URL:		http://search.cpan.org/dist/String-REPartition/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module exports a single function - make_partition_re. It takes as
its first argument a number between 0 and 1, representing a
percentage, and as its second argument a reference to a list of
strings. It returns a regular expression which is guaranteed to match
the percentage of the strings in the list represented by the number in
the first argument. More importantly, the regex returned is guaranteed
*not* to match the rest of the string in the list. That is, if the
inputs were '0.6' and a reference to a list of 100 strings, the
returned regex would match 60 of the strings in the list and not match
the other 40.

%description -l pl.UTF-8
Ten moduł eksportuje jedną funkcję - make_partition_re. Przyjmuje ona
jako pierwszy argument liczbę między 0 a 1, reprezentującą podział
procentowy, a jako drugi argument referencję do listy łańcuchów.
Zwraca wyrażenie regularne, które gwarantuje dopasowanie do takiej
części łańcuchów w liście, jaka została podana jako pierwszy argument.
Co więcej, zwrócone wyrażenie gwarantuje, że *nie* będzie pasować do
reszty łańcuchów z listy. To oznacza, że np. jeśli parametrami były
0.6 i referencja do listy 100 łańcuchów, zwrócone wyrażenie regularne
będzie pasowało do 60 łańcuchów i nie pasowało do pozostałych 40.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/String/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-REPartition.spec,v $
Revision 1.20  2008-01-03 12:49:31  qboosh
- generic URL

Revision 1.19  2007-12-31 00:05:30  zbyniu
- up to 1.6

Revision 1.18  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.16  2006/05/24 07:22:42  blaass
- up to 1.4, rel up

Revision 1.15  2004/11/03 22:30:45  paladine
- formatting

Revision 1.14  2004/05/06 18:21:10  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.11  2004/04/15 20:30:24  ankry
- cosmetics, unification

Revision 1.10  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:27  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:23  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
